
AH BRAKE (THAILAND) CO., LTD. - Project progress work #1266

Parent project # 1264 (Closed): [PJ250043] MOC packing system for AH Brake modification system for HMMT 50%

[Internal Design]

22 Aug 2025 16:02 - Siriporn Nimitmuenwai

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Finish date:  DB skills: Not using

Programming skills: No development OS skills: Not using

Description

History

#1 - 13 Nov 2025 11:48 - Siriwilai Chaiwattanaphon

- % Done changed from 0 to 100

#2 - 13 Nov 2025 13:06 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
